## Library initialisation Library initialisation — Functions that need to be called to set up the GExiv2 library. |

## Functions

gboolean | gexiv2_initialize ()

## Description

## Functions

### gexiv2_initialize ()

    gboolean
    gexiv2_initialize (void);

gexiv2 requires initialization before its methods are used. In particular, this call must be made in a thread-safe fashion. Best practice is to call from the application's main thread and not to use any Gexiv2 code until it has returned.

#### Returns

`TRUE` if initialized. If `FALSE`, GExiv2 should not be used (unable to initialize properly).

## Types and Values